# AUTOGENERATED! DO NOT EDIT! File to edit: ../../nbs/CLI_Docs_Generator.ipynb.

# %% auto 0
__all__ = ['update_readme']

# %% ../../nbs/CLI_Docs_Generator.ipynb 1
from typing import *

from nbdev.quarto import nbdev_readme
from nbdev.config import get_config
from nbdev.doclinks import NbdevLookup

from .._helpers.doc_links_utils import fix_sym_links

# %% ../../nbs/CLI_Docs_Generator.ipynb 5
def update_readme() -> None:
    """Update the readme file and fix the symbol links"""
    cfg = get_config()
    readme_path = cfg.config_path / "README.md"
    nbdev_readme.__wrapped__()

    with open(readme_path, "r", encoding="utf-8") as f:
        contents = f.read()

    contents = fix_sym_links(
        s=contents,
        nbdev_lookup=NbdevLookup(incl_libs=cfg.lib_name.replace("_", "-")),
        docs_versioning=cfg.get("docs_versioning", ""),
        lib_version=cfg.version,
        use_relative_doc_links=False,
        use_latest_doc_version=True,
    )

    with open(readme_path, "w", encoding="utf-8") as f:
        f.write(contents)
